
CFLAGS = -Wall

objects = dipcx.o config.o dipcker.o dipcref.o dipcshm.o support.o

dipcx: $(objects) 
	cc -o dipcx $(objects) -lxview -lolgx -lX11

dipcx.o: dipcx.c dipcx.h
	cc $(CFLAGS) -c dipcx.c

config.o: config.c dipcx.h
	cc $(CFLAGS) -c config.c

dipcker.o: dipcker.c dipcx.h
	cc $(CFLAGS) -c dipcker.c

dipcref.o: dipcref.c dipcx.h
	cc $(CFLAGS) -c dipcref.c

dipcshm.o: dipcshm.c dipcx.h
	cc $(CFLAGS) -c dipcshm.c

support.o: support.c
	cc $(CFLAGS) -c support.c

clean:
	rm dipcx $(objects)
